<div id="products" class="page-layout carded fullwidth inner-scroll">
    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->
    <!-- CENTER -->
    <mat-tab-group *ngIf="displayBusinessTab" (selectedTabChange)="selectedBusniness($event)">
        <mat-tab *ngFor="let tab of subBusinessList;let index = index" [label]="tab.title">
        </mat-tab>
    </mat-tab-group>
    <div class="center">
        <!-- HEADER -->
        <div class="header accent small" fxLayout="column" fxLayoutAlign="center center" fxLayout.gt-sm="row"
            fxLayoutAlign.gt-sm="space-between center">
            <!-- APP TITLE -->
            <div class="logo mb-24 mb-md-0" fxLayout="row" fxLayoutAlign="start center"
                style="max-height: 90px !important; min-height: 90px !important; margin-top: -20px;">
                <mat-icon class="logo-icon s-32 mr-16" [@animate]="{value:'*',params:{delay:'50ms',scale:'0.2'}}">
                    person
                </mat-icon>
                <div class="search-wrapper mx-32 mx-md-0">
                    <div class="search" fxFlex fxLayout="row" fxLayoutAlign="start center">
                        <mat-icon>search</mat-icon>
                        <input (keyup)="applyFilter($event.target.value)" #filter placeholder="Search">
                    </div>
                </div>
                <!-- <div fxFlex fxLayout="row" class="datePickerDiv" *ngIf='isDatepickerAvailable'>
                    <mat-form-field style="margin-left: 188px;" class="datePickerRow">
                        <mat-label style="color: white;">Choose a date</mat-label>
                        <input matInput [satDatepicker]="picker" (dateInput)="OnDateChange($event.value)">
                        <sat-datepicker #picker [rangeMode]="true"></sat-datepicker>
                        <sat-datepicker-toggle matSuffix [for]="picker" style="color: white;"></sat-datepicker-toggle>
                    </mat-form-field>

                    <button class="btn btn-primary fiter_export_button" (click)="dateFilter()"
                        [disabled]="isDateSelected">Filter</button>
                    <button class="btn btn-primary fiter_export_button"
                        (click)="exporter.exportTable('csv')">Export</button>

                </div> -->

            </div>
        </div>
        <!-- / HEADER -->
        <button class="add-button" mat-fab color="primary" id="add-button1"  (click)='addDepartment()'>
            <mat-icon>add</mat-icon>
        </button>
        <button class="scroll-button" mat-fab color="primary" id="add-button1" (click)="container.scrollTo(0,0)">
            <mat-icon>arrow_upward</mat-icon>
        </button>

        <!-- CONTENT CARD -->
        <div #container class="content-card" style="overflow: auto;
        max-height: 550px;
        margin-top: -60px;
        padding-bottom: 50px;">
            <table mat-table matTableExporter [dataSource]="dataSource" multiTemplateDataRows matSort
                class="mat-elevation-z8" #exporter="matTableExporter">
                <!-- Name Column -->
                <ng-container matColumnDef="id">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>ID</mat-header-cell>
                    <mat-cell *matCellDef="let allDepartments">
                        <p class="text-truncate">{{allDepartments.id}} <br> </p>
                    </mat-cell>
                </ng-container>
                <!-- Mobile Column -->
                <ng-container matColumnDef="name">
                    <mat-header-cell *matHeaderCellDef mat-sort-header>Name</mat-header-cell>
                    <mat-cell *matCellDef="let allDepartments">
                        <p class="text-truncate">{{allDepartments.name}}</p>
                    </mat-cell>
                </ng-container>
                 <!-- Organization Column -->
                 <ng-container  matColumnDef="organization">
                    <mat-header-cell *matHeaderCellDef mat-sort-header >Organization</mat-header-cell>
                    <mat-cell *matCellDef="let allDepartments">
                        <p class="text-truncate">{{allDepartments.organization_name}}</p>
                    </mat-cell>
                </ng-container>
                <!-- edit Column -->
                <ng-container matColumnDef="edit">
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header>Edit</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;" *matCellDef="let allDepartments">
                        <mat-icon (click)="editDepartment(allDepartments);$event.stopPropagation()">edit</mat-icon>
                    </mat-cell>
                </ng-container>

                <ng-container matColumnDef="delete" >
                    <mat-header-cell style="min-width: 40px;" *matHeaderCellDef mat-sort-header style="justify-content: center;" >Delete</mat-header-cell>
                    <mat-cell style="cursor: pointer;min-width: 40px;justify-content: center;" *matCellDef="let allDepartments">
                        <mat-icon style="color: red;" (click)="deleteDepartment(allDepartments)">delete</mat-icon>
                    </mat-cell>
                </ng-container>
               
        

                
                <mat-header-row *matHeaderRowDef="displayedColumns"> </mat-header-row>
                <mat-row *matRowDef="let allDepartments; columns: displayedColumns;" class="example-element-row">
                </mat-row>
            </table>

            <mat-paginator [pageSize]="10" [pageSizeOptions]="[5,10,25,50,100]"></mat-paginator>


            <!-- app admin -->

        </div>
        <!-- / CONTENT CARD -->
    </div>
    <!-- / CENTER -->

</div>